package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TWasteDangermonthMapper;
import com.ruoyi.project.ehs.domain.TWasteDangermonth;
import com.ruoyi.project.ehs.service.ITWasteDangermonthService;

/**
 * 危险废物出入库月报Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TWasteDangermonthServiceImpl implements ITWasteDangermonthService
{
    @Autowired
    private TWasteDangermonthMapper tWasteDangermonthMapper;

    /**
     * 查询危险废物出入库月报
     *
     * @param id 危险废物出入库月报ID
     * @return 危险废物出入库月报
     */
    @Override
    public TWasteDangermonth selectTWasteDangermonthById(Long id)
    {
        return tWasteDangermonthMapper.selectTWasteDangermonthById(id);
    }

    /**
     * 查询危险废物出入库月报列表
     *
     * @param tWasteDangermonth 危险废物出入库月报
     * @return 危险废物出入库月报
     */
    @Override
    public List<TWasteDangermonth> selectTWasteDangermonthList(TWasteDangermonth tWasteDangermonth)
    {
        return tWasteDangermonthMapper.selectTWasteDangermonthList(tWasteDangermonth);
    }

    /**
     * 新增危险废物出入库月报
     *
     * @param tWasteDangermonth 危险废物出入库月报
     * @return 结果
     */
    @Override
    public int insertTWasteDangermonth(TWasteDangermonth tWasteDangermonth)
    {
        return tWasteDangermonthMapper.insertTWasteDangermonth(tWasteDangermonth);
    }

    /**
     * 修改危险废物出入库月报
     *
     * @param tWasteDangermonth 危险废物出入库月报
     * @return 结果
     */
    @Override
    public int updateTWasteDangermonth(TWasteDangermonth tWasteDangermonth)
    {
        return tWasteDangermonthMapper.updateTWasteDangermonth(tWasteDangermonth);
    }

    /**
     * 批量删除危险废物出入库月报
     *
     * @param ids 需要删除的危险废物出入库月报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangermonthByIds(Long[] ids)
    {
        return tWasteDangermonthMapper.deleteTWasteDangermonthByIds(ids);
    }

    /**
     * 删除危险废物出入库月报信息
     *
     * @param id 危险废物出入库月报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteDangermonthById(Long id)
    {
        return tWasteDangermonthMapper.deleteTWasteDangermonthById(id);
    }
}
